IRQTOP(1)

NAME
lsirq - utility to display kernel interrupt information

SYNOPSIS
lsirq [options]

DESCRIPTION
Display kernel interrupt counter information.

The default output is subject to change. So whenever possible, you should avoid using default outputs in your scripts. Always explicitly define expected columns by using --output.

OPTIONS

-n, --noheadings
    Don't print headings.

-o, --output list
    Specify which output columns to print. Use --help to get a list of all supported columns. The default list of columns may be extended if list is specified in the format +list.

-s, --sort column
    Specify sort criteria by column name. See --help output to get column names.

-J, --json
    Use JSON output format.

-P, --pairs
    Produce output in the form of key="value" pairs. All potentially unsafe characters are hex-escaped (\x<code>).

-V, --version
    Display version information and exit.

-h, --help
    Display help text and exit.

AUTHORS
Zhenwei Pi (pizhenwei@bytedance.com)
Sami Kerola (kerolasa@iki.fi)
Karel Zak (kzak@redhat.com)

AVAILABILITY
The example command is part of the util-linux package and is available from Linux Kernel Archive (https://www.kernel.org/pub/linux/utils/util-linux/).